Bug 221937 - graphics/drm-next-kmod: Build error in poudriere with g20170829
Summary: graphics/drm-next-kmod: Build error in poudriere with g20170829
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes M Dieterich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-30 12:04 UTC by Ben Woods
Modified: 2017-09-14 02:03 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jmd)


Attachments
Poudriere build log for graphics/drm-next-kmod-g20170829 (37.24 KB, text/plain)
2017-08-30 12:06 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2017-08-30 12:04:46 UTC
When trying to build drm-next-kmod-g20170829 in poudriere on FreeBSD 12-current r322723 I get the following error:

--- drm_debugfs.o ---
drm_debugfs.c:57:38: error: no member named 'i_private' in 'struct vnode'
        struct drm_info_node *node = inode->i_private;
                                     ~~~~~  ^
drm_debugfs.c:279:37: error: no member named 'i_private' in 'struct vnode'
        struct drm_connector *dev = inode->i_private;
                                    ~~~~~  ^
drm_debugfs.c:326:37: error: no member named 'i_private' in 'struct vnode'
        struct drm_connector *dev = inode->i_private;
                                    ~~~~~  ^
3 errors generated.
*** [drm_debugfs.o] Error code 1


The full poudriere build log is attached for reference.

Any ideas what is causing this?
Comment 1 Ben Woods freebsd_committer 2017-08-30 12:06:23 UTC
Created attachment 185918 [details]
Poudriere build log for graphics/drm-next-kmod-g20170829
Comment 2 Johannes M Dieterich freebsd_committer 2017-08-31 14:19:09 UTC
I've never seen this. This may be one of the 12-CURRENT versions that is of the right OSVERSION but still missing a few commits. Could you upgrade to recent HEAD and check again?
Comment 3 Ben Woods freebsd_committer 2017-08-31 23:28:34 UTC
I can try this weekend, but r322723 is from 20th August 2017 (11 days ago) - that's pretty recent :)
Comment 4 Johannes M Dieterich freebsd_committer 2017-09-01 01:16:47 UTC
Well, the last necessary change went into base just before the port got committed. Port was committed on Aug 29. :-)
Comment 5 Ben Woods freebsd_committer 2017-09-02 00:30:51 UTC
I just updated my box to 12-CURRENT r323124M and it is working now (this build error no longer occurs).

Perhaps the following line in the port should be modified to only allow newer FreeBSD 12-CURRENT versions?
.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1200039

My OSVERSION before (broken) was: 1200040
My OSVERSION after (working) is: 1200043
Comment 6 Johannes M Dieterich freebsd_committer 2017-09-14 02:03:02 UTC
I've changed the FreeBSD version check to the one suggested by you. Thanks!
Comment 7 commit-hook freebsd_committer 2017-09-14 02:03:14 UTC
A commit references this bug:

Author: jmd
Date: Thu Sep 14 02:02:25 UTC 2017
New revision: 449819
URL: https://svnweb.freebsd.org/changeset/ports/449819

Log:
  graphics/drm-next-kmod: update to later github snapshot which includes improvements made in response to bug reports and removes the collision of the port's drm.ko with base drm.ko. Also increase the FreeBSD version check in response to PR 221937. Additionally, improve pkg-message and note that radeonkms is also available in this port.

  PR:		221937
  Reviewed by:	swills (mentor)
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12348

Changes:
  head/graphics/drm-next-kmod/Makefile
  head/graphics/drm-next-kmod/distinfo
  head/graphics/drm-next-kmod/pkg-descr
  head/graphics/drm-next-kmod/pkg-message